﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Timers;
using System.Windows.Forms;

namespace iqiyiWin
{
    public partial class FormWebBrower : Form
    {
        System.Timers.Timer loadHtmlTimer = new System.Timers.Timer();

        public FormWebBrower()
        {
            InitializeComponent();

            Init();
        }
        public void Init()
        {
            wb_login.Navigate("https://m.iqiyi.com/user.html#baseLogin");
            wb_login.DocumentCompleted += new WebBrowserDocumentCompletedEventHandler(wb_login_DocumentCompleted);//加载完成后的事件
        }
        /// <summary>
        /// 页面加载完事件
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void wb_login_DocumentCompleted(object sender, EventArgs e)
        {
            wb_login.ScriptErrorsSuppressed = true;
            var url = wb_login.Url.ToString();
            var title = wb_login.DocumentTitle;
            
            if (url == "https://m.iqiyi.com/user.html#baseLogin")
            {
                var html = wb_login.DocumentText;
                LoadOtherHtml("15005885021","axs970610");
            }
            else
            {
                var cookie = wb_login.Document.Cookie.Replace("\r", "").Replace("\n", ""); ;
                var cookieList = cookie.Split(';');
                var p00001 = "";
                foreach (var item in cookieList)
                {
                    var key = item.Split('=')[0].Trim();
                    var value = item.Split('=')[1].Trim();
                    if(key == "P00001")
                    {
                        p00001 = value;
                        break;
                    }
                }
            }
        }
        private void LoadOtherHtml(string mobileNo , string password)
        {
            var scriptText = "if(document.getElementById('phoneNumber')){document.getElementById('phoneNumber').value='" + mobileNo + "'}if(document.getElementsByClassName('enterNumber')&&document.getElementsByClassName('enterNumber')[2]){document.getElementsByClassName('enterNumber')[2].value='" + password  + "'}if(document.getElementsByClassName('c-check-link')&&document.getElementsByClassName('c-check-link')[0]){document.getElementsByClassName('c-check-link')[0].click()}if(document.getElementsByClassName('c-btn-block c-btn-base')&&document.getElementsByClassName('c-btn-block c-btn-base')[0]){document.getElementsByClassName('c-btn-block c-btn-base')[0].click()};";
            HtmlElement script = wb_login.Document.CreateElement("script");
            script.SetAttribute("type", "text/javascript");
            script.SetAttribute("text", scriptText);   //这里写JS代码
            HtmlElement head = wb_login.Document.Body.AppendChild(script);
        }
    }
}
